////////////Alliance Mission 6////////////////////////////////////
//Objectives:	1) Destroy mobile nexus		                //
//////////////////////////////////////////////////////////////////
$missionName = "aa6";

exec("PPcampaignStdLib.cs");

MissionBriefInfo missionBriefInfo
{
   campaign             = "Cardinal Spear Aftermath";
   title                = "Unnacceptable Heresy";
   planet               = *IDSTR_PLANET_TITAN;
   location             = "Orterregi Hills";
   dateOnMissionEnd     = 28332057;
   shortDesc            = "Destroy the successor to Prometheus";
   longDescRichText     = *IDSTR_AA6_BRF;
   media                = "";
   successDescRichText  = *IDSTR_AA6_DBRF;
   failDescRichText     = "Under the leadership of <<Second-Thought\/\/Giver-of-Will>, the cybrids continue their genocidal "
			@"war...";
   nextMission          = "ab1";
   endCinematicRec	= "cin_ab1.rec";
   soundVol             = "";
   successWavFile       = "";
};

MissionBriefObjective missionObjective1         
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Destroy the nexus";
   longTxt              = "Destroy the \"Mobile Nexus\" carrying <Second-Thought> to safety at Nav Alpha. It must not be "
			@"allowed to arrive.";
   bmpName              = "aa6_obj1.bmp";
};

//Set team hostilities
setHostile(*IDSTR_TEAM_YELLOW);	//Clear hostilities
setHostile(*IDSTR_TEAM_PURPLE);
setHostile(*IDSTR_TEAM_RED);

setHostile(*IDSTR_TEAM_YELLOW, *IDSTR_TEAM_RED);	//Will attack prometheans
setHostile(*IDSTR_TEAM_PURPLE, *IDSTR_TEAM_RED);
setHostile(*IDSTR_TEAM_RED, *IDSTR_TEAM_YELLOW, *IDSTR_TEAM_PURPLE);	//Prometheans attack both humans and metagens

//Map config
$server::HudMapViewOffsetX =  -2000;
$server::HudMapViewOffsetY =  -1000;

function player::onAdd(%who)
{
	$THEPLAYER=%who;
}

function vehicle::onAdd(%what)
{
	if(playerManager::vehicleIdToPlayerNum(%what)==$THEPLAYER) {$Player=%what;}
}


function onMissionStart()
{
	$navAlpha= getObjectId("MissionGroup\\Nav\\navAlpha");
	$quadTwo= getObjectId("MissionGroup\\Cybrids\\Quad2");
	$quadFour= getObjectId("MissionGroup\\Cybrids\\Quad4");
	$quadTwoLeader= getObjectId("MissionGroup\\Cybrids\\Quad2\\Alpha");
	$quadFourLeader= getObjectId("MissionGroup\\Cybrids\\Quad4\\Alpha");
	$Nexus= getObjectId("MissionGroup\\Cybrids\\Nexus");
	$navNexus= getObjectId("MissionGroup\\Nav\\navNexus");
	$Dropship= getObjectId("MissionGroup\\Alliance\\Dropship");
	$DropshipPath= getObjectId("MissionGroup\\Alliance\\DropshipPath");
	$ProtectorLeader= getObjectId("MissionGroup\\Cybrids\\Protection\\Drone1");
	$Protectors= getObjectId("MissionGroup\\Cybrids\\Protection");
	$Squad= getObjectId("MissionGroup\\Alliance\\Squad");
	$SquadLeader= getObjectId("MissionGroup\\Alliance\\Squad\\Leader");
	$SquadPath= getObjectId("MissionGroup\\Alliance\\Path");
	$NexusDestroyed= false;
	$protectorsLeft= 9;
	$cybridsLeft= 8;
	order($quadTwoLeader, MakeLeader, true);
	order($quadTwo, formation, delta);
	order($quadTwoLeader, guard, $Nexus);
	order($quadFourLeader, MakeLeader, true);
	order($quadFour, formation, delta);
	order($quadFourLeader, guard, $Nexus);
	order($ProtectorLeader, makeLeader, true);
	order($Protectors, formation, protect);	//Surround Nexus
	order($ProtectorLeader, guard, $Nexus);
	order($Nexus, guard, "MissionGroup\\Cybrids\\NexusPath");
	order($Dropship, guard, $DropshipPath);
        say(0,0,"gen_2dsa07.wav");
	clearGeneralOrders();
        cdAudioCycle(newtech,cyberntx,watching,mechsoul);
	schedule("initNav();",1);	//Must wait for player to actually appear on the map
	schedule("startOff();",3);
}

function initNav()
{
	setNavMarker($navAlpha, true, 0);
	setNavMarker($navNexus, true, -1);
	trackNexus();
}
/////////////////Cybrid Functions//////////////////////////////////////////////////////////////
function cybrids::vehicle::onDestroyed(%destroyee, %destroyer)
{
	$cybridsLeft= $cybridsLeft-1;
	if (getGroup(%destroyer)==getObjectID("PlayerSquad")) vehicle::salvage(%destroyee);
}

function trackNexus()
{
	setPosition($navNexus, getPosition($Nexus, x), getPosition($Nexus, y), getPosition($Nexus, z));
	schedule("trackNexus();", 0.2);
}

function nexus::vehicle::onArrived(%who, %where)
{
	if (%where==getObjectId("MissionGroup\\Cybrids\\NexusPath\\marker12"))
	{
	order($Nexus, clear, true);
	order($Nexus, shutDown, true);
	missionObjective1.status= *IDSTR_OBJ_FAILED;
	say(0,0,"mission_fail.wav");
	schedule("forceToDebrief();", 2);
	}

	if (%where==getObjectId("MissionGroup\\Cybrids\\NexusPath\\marker8"))
	{
	metagenAmbush();
	}

	if (%where==getObjectId("MissionGroup\\Cybrids\\NexusPath\\marker6"))
	{
	order($Nexus, Speed, slow);
	}
}

function nexus::vehicle::onAttacked(%attackee, %attacker)
{
	order($QuadTwo, guard, $Nexus);
	order($QuadFour, guard, $Nexus);
        if ($ProtectorsLeft>2) {healObject($Nexus, 10000);}     //Protectors shield Nexus
}

function nexus::vehicle::onDestroyed(%destroyee, %destroyer)
{
	setNavMarker($navNexus, false);
	$NexusDestroyed=true;
	checkForVictory();
}

function prot::vehicle::onDestroyed()
{
	$ProtectorsLeft= $ProtectorsLeft-1;
}

function prot::vehicle::onNewLeader(%who)
{
	$ProtectorLeader= %who;
	order($Protectors, formation, protect);
	order($ProtectorLeader, guard, $Nexus);
}

function cyDrop::vehicle::onAttacked(%attackee, %attacker)
{
	healObject($Nexus, 10000);	//Stays alive
}
/////////////////Alliance Functions////////////////////////////////////////////////////////////
function drop::vehicle::onArrived(%who, %where)
{
	if (%where==getObjectId("MissionGroup\\Alliance\\DropshipPathwaitPoint"))
		order($Dropship, clear, true);
}

function squad::vehicle::onArrived(%who, %where)
{
        if (%where==getObjectId("MissionGroup\\Alliance\\Path\\cloakPoint"))
		{echo("This squad now cloaks later!");}
        if (%where==getObjectId("MissionGroup\\Alliance\\Path\\attackPoint"))
	{
		order($SquadLeader, guard, $Nexus);
		order($Squad, cloak, true);
	}
}

function squad::vehicle::onDestroyed(%a, %b)
{
	if (randomInt(1,8)==7) vehicle::salvage(%destroyee);
}

function startOff()
{
	say(0,0,*IDSTR_AA6_LDR1);
	schedule("order($SquadLeader, guard, $SquadPath);",3);
	schedule("order($SquadLeader, makeLeader, true);",5);
	schedule("order($Squad, formation, delta);",5);
}
/////////////////Metagen Functions/////////////////////////////////////////////////////////////
function metagenAmbush()
{
	$MetagenLeader= getObjectId("MissionGroup\\Metagens\\Leader");
	$Metagens= getObjectId("MissionGroup\\Metagens");
	order($MetagenLeader, makeLeader, true);
	order($Metagens, formation, metagen);
	order($MetagenLeader, attack, $Nexus);
	say(0,0,*IDSTR_AA6_MTG1);
	schedule("say(0,0,*IDSTR_AA6_MTG2);",5);
}

/////////////////Miscellaneous/////////////////////////////////////////////////////////////////
function checkForVictory()
{
	if (isSafe(*IDSTR_TEAM_YELLOW,$Player,1200))
	{
	say(0,0,*IDSTR_AA6_TCM1);
	order($Dropship, guard, "MissionGroup\\Alliance\\dropshipPath\\marker");
	order($Dropship, speed, high);
	schedule("say(0,0,*IDSTR_AA6_DS1,\"gen_2dsa03.wav\");",3);
	schedule("order($Dropship, guard, $Player);", 5);
	doInventory();
	missionObjective1.status= *IDSTR_OBJ_COMPLETED;
	schedule("setDominantCamera($Dropship, $Player, 0, -100, 24);",6);
	schedule("forceToDebrief();",15);
	}
	else schedule("checkForVictory();", 5);
}

function doInventory()
{
	InventoryWeaponAdjust(-1, 150, 1);	//Smart gun

	InventoryPilotSet(temperate, 7, true);		//Boom-boom
}