////////////Alliance Mission 8////////////////////////////////////
//Objectives:	1)Locate members of missing patrol 		//
//		2)Escort leader to Nav Bravo         		//
//		3)Call dropship					//
//////////////////////////////////////////////////////////////////
$missionName = "ab2";
$WarnDistance= 3750;

exec("PPcampaignStdLib.cs");

MissionBriefInfo missionBriefInfo
{
   campaign             = "Fourth Earthsiege";
   title                = "Jam Sandwich";      
   planet               = *IDSTR_PLANET_TEMPERATE;     
   location             = "PacRim-Greater China Border";
   dateOnMissionEnd     = 28333527;               
   shortDesc            = "Find and rescue a missing scout patrol.";
   longDescRichText     = *IDSTR_AB2_BRF;
   media                = "ab2_brief_2.bmp";	//Good map misreads, for some reason.
   successDescRichText  = *IDSTR_AB2_DBRF;
   failDescRichText     = "Well... you tried. Too bad they managed to capture those hercs. They know too much now. "
			@"Better start digging in for the siege.";
   nextMission          = "ab3";
   soundVol             = "ab2.vol";
   successWavFile       = "";
};

MissionBriefObjective missionObjective1
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Find patrol";
   longTxt              = "Go to Nav Alpha and look for the patrol.";
   bmpName              = "ab2_obj1.bmp";
};

MissionBriefObjective missionObjective2
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Rescue the leader.";
   longTxt              = "Captain Russel, the patrol commander, must return alive. Protect him at all costs.";
   bmpName              = "ab2_obj2.bmp";
};

MissionBriefObjective missionObjective3
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Call dropship.";
   longTxt              = "Summon a ship to pick you up once you reach Nav Bravo.";
   bmpName              = "ab2_obj3.bmp";
};

MissionBriefObjective missionObjective4
{
   isPrimary            = false;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "Find entire patrol.";
   longTxt              = "Locate and rescue the rest of the patrol.";
   bmpName              = "ab2_obj4.bmp";
};

MissionBriefObjective missionObjective5
{
   isPrimary            = false;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Destroy all enemies.";
   longTxt              = "We expect cybrid activity in the region. Eliminate any enemies you come across.";
   bmpName              = "ab2_obj5.bmp";
};

Pilot commander
{
   id = 32;
   
   name = "Cpt. Russel";
   skill = 0.7;
   accuracy = 0.5;
   aggressiveness = 0.0;
   activateDist = 1.0;		//must stay hidden
   deactivateBuff = 1.0;
   targetFreq = 1.0;
   trackFreq = 0.5;
   fireFreq = 1.0;
   LOSFreq = 0.1;
   orderFreq = 1.0;
};

Pilot squad
{
   id = 33;
   
   name = "Patrol Member";
   skill = 0.5;
   accuracy = 0.7;
   aggressiveness = 0.0;
   activateDist = 1.0;		//must stay hidden
   deactivateBuff = 1.0;
   targetFreq = 2.0;
   trackFreq = 0.7;
   fireFreq = 1.0;
   LOSFreq = 0.2;
   orderFreq = 1.3;
};

function player::onAdd(%who)
{
	$THEPLAYER=%who;
}

function vehicle::onAdd(%what)
{
	if(playerManager::vehicleIdToPlayerNum(%what)==$THEPLAYER) {$Player=%what; $Name=getHUDName($Player);}
}


function onMissionStart()
{
	$navAlpha= getObjectId("MissionGroup/Nav/navAlpha");
	$navBravo= getObjectId("MissionGroup/Nav/navBravo");
	$PatrolLeader= getObjectId("MissionGroup/Patrol/leader");
	$PatrolFirst= getObjectId("MissionGroup/Patrol/first");
	$PatrolSecond= getObjectId("MissionGroup/Patrol/second");
	$PatrolThird= getObjectId("MissionGroup/Patrol/third");
	$Jammer1= getObjectId("MissionGroup/Jammers/Jammer1");
	$Jammer2= getObjectId("MissionGroup/Jammers/Jammer2");
	$Jammer3= getObjectId("MissionGroup/Jammers/Jammer3");
	$Jammer4= getObjectId("MissionGroup/Jammers/Jammer4");
	$Conveyor= getObjectId("MissionGroup/Alliance/Conveyor");
	$Emissary= getObjectId("MissionGroup/Cybrids/Dropship");
	$Landing=false;
	$LeaderFound=false;
	$FirstFound=false;
	$SecondFound=false;
	$ThirdFound=false;
	cdAudioCycle(6,12,9);
	schedule("initNav();",1);	//Must wait for player to actually appear on the map
	initHunters();
	initPatrol();
	removeGeneralOrder("Summon transport");
	schedule("startMission();",3);
}

function initNav()
{
	setNavMarker($navAlpha, true, -1);
	setNavMarker($navBravo, false, 0);
}

function initJammers()
{
	playAnimSequence($Jammer1,2,true);	//Antennae deployed
	playAnimSequence($Jammer2,2,true);
	playAnimSequence($Jammer3,2,true);
	playAnimSequence($Jammer4,2,true);
	jamRadar();
	jamTransmissions();
}

function initHunters()
{
	goFromPoint1(getObjectId("MissionGroup/Cybrids/Hunters/radgunner1"));
	goFromPoint2(getObjectId("MissionGroup/Cybrids/Hunters/radgunner2"));
	goFromPoint3(getObjectId("MissionGroup/Cybrids/Hunters/combat1"));
	goFromPoint2(getObjectId("MissionGroup/Cybrids/Hunters/combat2"));
	goFromPoint3(getObjectId("MissionGroup/Cybrids/Hunters/combat3"));
	goFromPoint4(getObjectId("MissionGroup/Cybrids/Hunters/combat4"));
}

function startMission()
{
	order($Conveyor, guard, "MissionGroup/Paths/takeOff");
	initJammers();
	$SquadMateOne = getObjectId("playerSquad/squadMate1");	//Can't define in onMissionStart because don't exist yet
	$SquadMateTwo = getObjectId("playerSquad/squadMate2");
	$SquadMateThree = getObjectId("playerSquad/squadMate3");
	initDistanceChecks();
	initSearch();
}

function initDistanceChecks()
{
	checkBoundary(leave, $NavAlpha, $Player, $WarnDistance, "warn");
	checkBoundary(leave, $NavAlpha, $Player, 4500, "leave");
}

function initSearch()
{
	checkBoundary( enter, $Player, $PatrolLeader, 100, "findLeader");
	checkBoundary( enter, $Player, $PatrolFirst, 100, "findFirst");
	checkBoundary( enter, $Player, $PatrolSecond, 100, "findSecond");
	checkBoundary( enter, $Player, $PatrolThird, 100, "findThird");
}
/////////////////Alliance Functions////////////////////////////////////////////////////////////
function initPatrol()
{
	for(%i=0; %i<17; %i++)
		{%positions[%i]=(%i+1);}
	for(%i=0; %i<17; %i++)
	{
		%num= randomInt(0,16);
		%temp= %positions[%i];	//need to store original value to replace later
		%positions[%i]= %positions[%num];
		%positions[%num]= %temp;	//now the two are switched around
	}
	setPosition($PatrolLeader, getPosition("MissionGroup/startPositions/marker"@%positions[0],x), getPosition("MissionGroup/startPositions/marker"@%positions[0],y), getPosition("MissionGroup/startPositions/marker"@%positions[0],z)+20);
	setPosition($PatrolFirst, getPosition("MissionGroup/startPositions/marker"@%positions[1],x), getPosition("MissionGroup/startPositions/marker"@%positions[1],y), getPosition("MissionGroup/startPositions/marker"@%positions[1],z)+20);
	setPosition($PatrolSecond, getPosition("MissionGroup/startPositions/marker"@%positions[2],x), getPosition("MissionGroup/startPositions/marker"@%positions[2],y), getPosition("MissionGroup/startPositions/marker"@%positions[2],z)+20);
	setPosition($PatrolThird, getPosition("MissionGroup/startPositions/marker"@%positions[3],x), getPosition("MissionGroup/startPositions/marker"@%positions[3],y), getPosition("MissionGroup/startPositions/marker"@%positions[3],z)+20);
}

function patrol::vehicle::onDestroyed(%destroyee, %destroyer)
{
	missionObjective4.status=*IDSTR_OBJ_FAILED;
	killChannel(%destroyee);
	if (%destroyee==$PatrolLeader)
	{
		missionObjective2.status=*IDSTR_OBJ_FAILED;
		forceToDebrief();
	}
}

function findLeader()
{
	jamSay($PatrolLeader,0,*IDSTR_AB2_PTL1,"");
	jamSay($PatrolLeader,0,*IDSTR_AB2_PTL2,"");
	say(0,0,"gen_oc01.wav");	//Mission Objective Complete
	$LeaderFound=true;
	if (($FirstFound)&&($SecondFound)&&($ThirdFound))
		{
		missionObjective4.status=*IDSTR_OBJ_COMPLETED;
		order($PatrolLeader, makeLeader, true);
		order("MissionGroup/Patrol", formation, singleFile);
		}
	setNavMarker($NavAlpha, false);
	setNavMarker($NavBravo, true, -1);
	addGeneralOrder("Summon transport","transportLand();" );
	order($PatrolLeader, guard, $Player);
	checkBoundary("enter", $Player, $NavBravo, 1250, "rfArrive");
	if ((!$FirstFound)&&(!$SecondFound)&&(!ThirdFound))
		newMissionObjectives($PatrolLeader);
}

function transportLand()
{
	$Landing=true;
	order($Conveyor, guard, "MissionGroup/Paths/extract/marker3");
	jamSay($Conveyor, $Conveyor,*IDSTR_AB2_CON1,"HA3_1DS01.wav");
	removeGeneralOrder("Summon transport");
}

function findFirst()
{
	if (isGroupDestroyed($PatrolFirst)) return;
	jamSay($PatrolFirst,$PatrolFirst,*IDSTR_AB2_PT11,"");
	jamSay($PatrolFirst,$PatrolFirst,*IDSTR_AB2_PT12,"");
	order($PatrolFirst, guard, $Player);
	$FirstFound=true;
	if ((!$LeaderFound)&&(!$SecondFound)&&(!ThirdFound))
		newMissionObjectives($PatrolFirst);
}

function newMissionObjectives(%who)
{
	missionObjective1.status=*IDSTR_OBJ_COMPLETED;
	missionObjective4.status=*IDSTR_OBJ_ACTIVE;
	jamSay(%who,0,"","mission_obj_new.wav");	//only said if you heard his transmissions
}

function findSecond()
{
	if (isGroupDestroyed($PatrolSecond)) return;
	jamSay($PatrolSecond,$PatrolSecond,*IDSTR_AB2_PT21,"");
	if (($FirstFound)&&($LeaderFound)&&($ThirdFound))
		{
		missionObjective4.status=*IDSTR_OBJ_COMPLETED;
		order($PatrolLeader, makeLeader, true);
		order("MissionGroup/Patrol", formation, singleFile);
		}
	else order($PatrolSecond, guard, $Player);
	$SecondFound=true;
	if ((!$LeaderFound)&&(!$FirstFound)&&(!ThirdFound))
		newMissionObjectives($PatrolSecond);
}

function findThird()
{
	if (isGroupDestroyed($PatrolThird)) return;
	jamSay($PatrolThird,$PatrolThird,*IDSTR_AB2_PT31,"");
	if (($FirstFound)&&($SecondFound)&&($LeaderFound))
		{
		missionObjective4.status=*IDSTR_OBJ_COMPLETED;
		order($PatrolLeader, makeLeader, true);
		order("MissionGroup/Patrol", formation, singleFile);
		}
	else order($PatrolThird, guard, $Player);
	$ThirdFound=true;
	if ((!$LeaderFound)&&(!$SecondFound)&&(!FirstFound))
		newMissionObjectives($PatrolThird);
}

function transport::vehicle::onArrived(%who, %where)	//Human conveyor
{
	if (%where==getObjectId("MissionGroup/Paths/takeOff/marker2"))
		{
		order($Conveyor, clear, true);
		order($Conveyor, guard, "MissionGroup/Paths/takeOff/WAIT");
		}
	else if (%where==getObjectId("MissionGroup/Paths/extract/marker3"))
		{
		order($Conveyor, clear, true);
		order($Conveyor, guard, "MissionGroup/Paths/extract/landing");
		if (isSafe(*IDSTR_TEAM_YELLOW,$Conveyor,750)) schedule("loadTheShip();",20);
		else schedule("checkForLoadClearence();",10);
		}
}

function checkForLoadClearence()
{
	if (isSafe(*IDSTR_TEAM_YELLOW,$Conveyor,750)) schedule("loadTheShip();",20);
	else schedule("checkForLoadClearence();",10);
}

function transport::vehicle::onDestroyed(%destroyee, %destroyer)	//Human conveyor
{
	missionObjective2.status=*IDSTR_OBJ_FAILED;	//Leader cannot be rescued
	missionObjective3.status=*IDSTR_OBJ_FAILED;	//Extraction cannot proceed
	killChannel(%destroyee);
	say(0,0,"mission_fail.wav");
	forceToDebrief();
}

function transport::vehicle::onAttacked(%attackee, %attacker)
{
	if (!$Landing) return;
	if (getTeam(%attacker)!=*IDSTR_TEAM_RED) return;
	jamSay($Conveyor, $Conveyor, *IDSTR_AB2_CON2,"GEN_1DSA01.WAV");
	order($Conveyor, guard, "MissionGroup/Paths/takeOff/WAIT");
	$Landing=false;
	addGeneralOrder("Summon transport","transportLand();");
}


function loadTheShip()
{
	order($Conveyor, clear, true);
	order($Conveyor, guard, "MissionGroup/Paths/extract/landing");
	missionObjective3.status=*IDSTR_OBJ_COMPLETED;
	jamSay($Conveyor, $Conveyor, *IDSTR_AB2_CON3, "HA3_1DS05.wav");
	$Landing=false;
	removeGeneralOrder("Summon transport");
	checkForVictory();
}

/////////////////Jammer Functions//////////////////////////////////////////////////////////////
function jamSay(%who, %channel, %text, %sound)
{
	if ((isJammed(%who))||(isJammed($Player)))
		say(0,0,static(%text),"gen_static01.wav");
	else say(0,%channel,%text,%sound);
}

function jamRadar()
{
	hideVehicle($Player);
	hideVehicle($SquadMateOne);
	hideVehicle($SquadMateTwo);
	hideVehicle($SquadMateThree);
	hideVehicle($PatrolLeader);
	hideVehicle($PatrolFirst);
	hideVehicle($PatrolSecond);
	hideVehicle($PatrolThird);
	hideVehicle($Jammer1);
	hideVehicle($Jammer2);
	hideVehicle($Jammer3);
	hideVehicle($Jammer4);
	hideVehicle(getObjectId("MissionGroup/Cybrids/Hunters/radgunner1"));
	hideVehicle(getObjectId("MissionGroup/Cybrids/Hunters/radgunner2"));
	hideVehicle(getObjectId("MissionGroup/Cybrids/Hunters/combat1"));
	hideVehicle(getObjectId("MissionGroup/Cybrids/Hunters/combat2"));
	hideVehicle(getObjectId("MissionGroup/Cybrids/Hunters/combat3"));
	hideVehicle(getObjectId("MissionGroup/Cybrids/Hunters/combat4"));
	schedule("jamRadar();",1);
}

function jamTransmissions()
{
	if (isJammed($Player))
		{removeSquadmateOrders();
		squawkEnabled(false);}
	else
	{
		addSquadmateOrders();
		squawkEnabled($SquadMateOne, true);
		squawkEnabled($SquadMateTwo, true);
		squawkEnabled($SquadMateThree, true);
		squawkEnabled(true);
	}
	//echo("DEUBUG: Running jamTransmissions()");
	//At this point, unless player is jammed, all squadmates can chat
	if (isJammed($SquadMateOne)) {squawkEnabled($SquadMateOne,false);}
	if (isJammed($SquadMateTwo)) {squawkEnabled($SquadMateTwo,false);}
	if (isJammed($SquadMateThree)) {squawkEnabled($SquadMateThree,false);}
	schedule("jamTransmissions();",1);
}

function hideVehicle(%who)
{
	if ((isJammed(%who))||(isJammed($Player)))	//If player is jammed, all vehicles are invisible
		setVehicleRadarVisible(%who,false);
	else setVehicleRadarVisible(%who,true);
	setVehicleRadarVisible($Player, true);	//Player won't tell, but 'brids will attack! >)
}

function isJammed(%who)
{
	%jam=false;
	if ((getDistance(%who,$Jammer1)<1500)&&(!isGroupDestroyed($Jammer1)))
		%jam=true;
	if ((getDistance(%who,$Jammer2)<1500)&&(!isGroupDestroyed($Jammer2)))
		%jam=true;
	if ((getDistance(%who,$Jammer3)<1500)&&(!isGroupDestroyed($Jammer3)))
		%jam=true;
	if ((getDistance(%who,$Jammer4)<1500)&&(!isGroupDestroyed($Jammer4)))
		%jam=true;
	return %jam;
}
/////////////////Cybrid Functions//////////////////////////////////////////////////////////////
function rfArrive()
{
	order($Emissary, guard, "MissionGroup/Paths/deploy/marker3");
}

function hunters::vehicle::onArrived(%who, %where)
{
	if ((%where==getObjectId("MissionGroup/Paths/5to1/end"))||(%where==getObjectId("MissionGroup/Paths/4to1/end"))||(%where==getObjectId("MissionGroup/Paths/3to1/end")))
		goFromPoint1(%who);
	if ((%where==getObjectId("MissionGroup/Paths/5to2/end"))||(%where==getObjectId("MissionGroup/Paths/3to2/end"))||(%where==getObjectId("MissionGroup/Paths/6to2/end")))
		goFromPoint2(%who);
	if ((%where==getObjectId("MissionGroup/Paths/5to3/end"))||(%where==getObjectId("MissionGroup/Paths/2to3/end"))||(%where==getObjectId("MissionGroup/Paths/1to3/end")))
		goFromPoint3(%who);
	if ((%where==getObjectId("MissionGroup/Paths/5to4/end"))||(%where==getObjectId("MissionGroup/Paths/1to4/end")))
		goFromPoint4(%who);
	if ((%where==getObjectId("MissionGroup/Paths/4to5/end"))||(%where==getObjectId("MissionGroup/Paths/1to5/end"))||(%where==getObjectId("MissionGroup/Paths/3to5/end"))||(%where==getObjectId("MissionGroup/Paths/2to5/end")))
		goFromPoint5(%who);
	if ((%where==getObjectId("MissionGroup/Paths/2to6/end")))
		order(%who, guard,"MissionGroup/Paths/6to2");
}

function hunters::vehicle::onDestroyed(%a,%b)
{
	if ((isGroupDestroyed("MissionGroup/Cybrids/Hunters"))&&(isGroupDestroyed("MissionGroup/Cybrids/REINFORCEMENTS")))
		missionObjective5.status= *IDSTR_OBJ_COMPLETED;
}

function vehicle::onDestroyed(%a,%b)
{
	if ((isGroupDestroyed("MissionGroup/Cybrids/Hunters"))&&(isGroupDestroyed("MissionGroup/Cybrids/REINFORCEMENTS")))
		missionObjective5.status= *IDSTR_OBJ_COMPLETED;
}

function cybrids::vehicle::onDestroyed(%a,%b)
{
	if ((isGroupDestroyed("MissionGroup/Cybrids/Hunters"))&&(isGroupDestroyed("MissionGroup/Cybrids/REINFORCEMENTS")))
		missionObjective5.status= *IDSTR_OBJ_COMPLETED;
}

function scout::vehicle::onDestroyed(%a,%b)
{
	if ((isGroupDestroyed("MissionGroup/Cybrids/Hunters"))&&(isGroupDestroyed("MissionGroup/Cybrids/REINFORCEMENTS")))
		missionObjective5.status= *IDSTR_OBJ_COMPLETED;
}

function goFromPoint1(%who)
{
	%temp=randomInt(1,3);
	if (%temp==1)
		order(%who, guard, "MissionGroup/Paths/1to3");
	if (%temp==2)
		order(%who, guard, "MissionGroup/Paths/1to4");
	if (%temp==3)
		order(%who, guard, "MissionGroup/Paths/1to5");
}

function goFromPoint2(%who)
{
	%temp=randomInt(1,3);
	if (%temp==1)
		order(%who, guard, "MissionGroup/Paths/2to3");
	if (%temp==2)
		order(%who, guard, "MissionGroup/Paths/2to5");
	if (%temp==3)
		order(%who, guard, "MissionGroup/Paths/2to6");
}

function goFromPoint3(%who)
{
	%temp=randomInt(1,3);
	if (%temp==1)
		order(%who, guard, "MissionGroup/Paths/3to1");
	if (%temp==2)
		order(%who, guard, "MissionGroup/Paths/3to2");
	if (%temp==3)
		order(%who, guard, "MissionGroup/Paths/3to5");
}

function goFromPoint4(%who)
{
	%temp=randomInt(1,2);
	if (%temp==1)
		order(%who, guard, "MissionGroup/Paths/4to1");
	if (%temp==2)
		order(%who, guard, "MissionGroup/Paths/4to5");
}

function goFromPoint5(%who)
{
	%temp=randomInt(1,4);
	if (%temp==1)
		order(%who, guard, "MissionGroup/Paths/5to1");
	if (%temp==2)
		order(%who, guard, "MissionGroup/Paths/5to2");
	if (%temp==3)
		order(%who, guard, "MissionGroup/Paths/5to3");
	if (%temp==4)
		order(%who, guard, "MissionGroup/Paths/5to4");
}

function dropship::vehicle::onDestroyed(%destroyer, %destroyee)
{
	for (%i=1; %i<=4; %i++)
		destroyPassenger(getObjectId("MissionGroup/Cybrids/REINFORCEMENTS/scout"@%i));
	for (%i=1; %i<=2; %i++)
		destroyPassenger(getObjectId("MissionGroup/Cybrids/REINFORCEMENTS/guard"@%i));
	destroyPassenger(getObjectId("MissionGroup/Cybrids/REINFORCEMENTS/Attackers/Alpha"));
	destroyPassenger(getObjectId("MissionGroup/Cybrids/REINFORCEMENTS/Attackers/Beta"));
	destroyPassenger(getObjectId("MissionGroup/Cybrids/REINFORCEMENTS/Attackers/Gamma"));
	destroyPassenger(getObjectId("MissionGroup/Cybrids/REINFORCEMENTS/Attackers/Delta"));
}

function destroyPassenger(%who)
{
	if (getPosition(%who, y)>=3000)
		damageObject(%who, 30000);
}

function dropship::vehicle::onArrived(%who, %where)	//Cybrid dropship
{
	if (%where==getObjectId("MissionGroup/Paths/deploy/marker3"))
		{
		//setDominantCamera($NavBravo, $Emissary);
		setTowerCamera($Emissary, getPosition($NavBravo,x), getPosition($NavBravo,y), getPosition($NavBravo,z)+10);
		order($Emissary, clear, true);
		//order($Emissary, guard, "MissionGroup/Paths/deploy/Land");
		setPosition($Emissary, getPosition("MissionGroup/Paths/deploy/Land",x), getPosition("MissionGroup/Paths/deploy/Land",y), getPosition("MissionGroup/Paths/deploy/Land",z));
		schedule("cybridsArrive();",20);
		}
}

function cybridsArrive()
{
		focusCamera("player");	//player does not see							//-1.83999
		schedule("setPosition(getObjectId(\"MissionGroup/Cybrids/REINFORCEMENTS/guard1\"), -1939.72, -19.7637, 9, -105.4);",randomInt(1,10));
		schedule("setPosition(getObjectId(\"MissionGroup/Cybrids/REINFORCEMENTS/guard2\"), -1918.2, 62.075, 2, -105.4);",randomInt(1,10));
		schedule("setPosition(getObjectId(\"MissionGroup/Cybrids/REINFORCEMENTS/scout1\"), -1706.61, 12.3916, 1, -90);",randomInt(1,10));
		schedule("setPosition(getObjectId(\"MissionGroup/Cybrids/REINFORCEMENTS/scout2\"), -1711.38, -73.7587, 6, -90);",randomInt(1,10));
		schedule("setPosition(getObjectId(\"MissionGroup/Cybrids/REINFORCEMENTS/scout3\"), -1658.05, 75.7539, 1, -135);",randomInt(1,10));
		schedule("setPosition(getObjectId(\"MissionGroup/Cybrids/REINFORCEMENTS/scout4\"), -1651.71, -156.316, 17, -45);",randomInt(1,10));
		schedule("setPosition(getObjectId(\"MissionGroup/Cybrids/REINFORCEMENTS/Attackers/Alpha\"), -1744.37, -31.3426, 2, -90);",randomInt(1,10));
		schedule("setPosition(getObjectId(\"MissionGroup/Cybrids/REINFORCEMENTS/Attackers/Beta\"), -1774.48, -5.669, 2, -90);",randomInt(1,10));
		schedule("setPosition(getObjectId(\"MissionGroup/Cybrids/REINFORCEMENTS/Attackers/Gamma\"), -1775.94, -67.3005, 6, -90);",randomInt(1,10));
		schedule("setPosition(getObjectId(\"MissionGroup/Cybrids/REINFORCEMENTS/Attackers/Delta\"), -1810.37, -39.0116, 5, -90);",randomInt(1,10));

		schedule("order(\"MissionGroup/Cybrids/REINFORCEMENTS/Attackers/Alpha\", makeLeader, true);",15);
		schedule("order(getObjectId(\"MissionGroup/Cybrids/REINFORCEMENTS/Attackers\"), formation, delta);",15);
}
//focusServer(); damageObject("MissionGroup/Jammers",50000); focusClient();
/////////////////Miscellaneous/////////////////////////////////////////////////////////////////
function checkForVictory()
{	
	if ((isSafe(*IDSTR_TEAM_YELLOW,$Conveyor,750))&&(isSafe(*IDSTR_TEAM_YELLOW,$Player,750))&&(isSafe(*IDSTR_TEAM_YELLOW,$PatrolLeader,750)))
		{
		missionObjective2.status=*IDSTR_OBJ_COMPLETED;
		doInventory();
		order("MissionGroup/Patrol", guard, $Conveyor);
		say(0,0,"mission_comp.wav");
		schedule("forceToDebrief();",5);
		}
	else schedule("checkForVictory();",1);
}

function doInventory()
{
	if (missionObjective4.status==*IDSTR_OBJ_COMPLETED)		//Entire patrol found
		{
		inventoryVehicleAdjust(-1, 30, 1);	//Emancipator
		inventoryComponentAdjust(-1, 105, 1);	//Medium Agility Engine
		inventoryComponentAdjust(-1, 204, 1);	//Large Reactor
		inventoryComponentAdjust(-1, 801, 1);	//Improved Computer
		inventoryComponentAdjust(-1, 306, 1);	//Titan Shield Generator
		inventoryComponentAdjust(-1, 927, 1);	//QBM
		inventoryComponentAdjust(-1, 412, 1);	//Ultralight Sensor
		inventoryComponentAdjust(-1, 840, 1);	//Shield Modulator
		inventoryComponentAdjust(-1, 830, 1);	//Chameleon Cloak
		}
	if (missionObjective5.status==*IDSTR_OBJ_COMPLETED)		//All enemies destroyed
		{
		inventoryComponentAdjust(temperate, 813, 1);	//Beta ECM
		inventoryComponentAdjust(-1, 900, 1);	//Angel Life Support
		inventoryWeaponAdjust(temperate, 104, 1);		//Twin Laser
		inventoryWeaponAdjust(temperate, 111, 1);		//Blink Gun
		inventoryComponentAdjust(temperate, 143, 1);	//Pi Engine
		}
	inventoryComponentAdjust(temperate, 102, 1);		//Light Agility Engine
	inventoryComponentAdjust(temperate, 105, 2);		//Medium Agility Engine
	inventoryComponentAdjust(temperate, 110, 2);	//Heavy Agility Engine
	inventoryComponentAdjust(temperate, 115, 1);	//Super Heavy Engine
}

function win()
{
	for(%i=1; %i<=3; %i++)
	{
		schedule("missionObjective"@%i@".status= *IDSTR_OBJ_COMPLETED;",0);
	}
	doInventory();
	schedule("forceToDebrief();",5);
}